org.apache.cxf.interceptor.security

## Class NameDigestPasswordCallbackHandler

- java.lang.Object
- - org.apache.cxf.interceptor.security.NameDigestPasswordCallbackHandler

- All Implemented Interfaces:
    CallbackHandler

      public class NameDigestPasswordCallbackHandler
      extends Object
      implements CallbackHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameDigestPasswordCallbackHandler(String username, String password, String nonce, String createdTime)`
    `NameDigestPasswordCallbackHandler(String username, String password, String nonce, String createdTime, String passwordCallbackName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCreatedTime()`
    `String` | `getNonce()`
    `void` | `handle(Callback[] callbacks)`
    `protected boolean` | `handleCallback(Callback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameDigestPasswordCallbackHandler

          public NameDigestPasswordCallbackHandler(String username,
                                                   String password,
                                                   String nonce,
                                                   String createdTime)

    - #### NameDigestPasswordCallbackHandler

          public NameDigestPasswordCallbackHandler(String username,
                                                   String password,
                                                   String nonce,
                                                   String createdTime,
                                                   String passwordCallbackName)

  - ### Method Detail

    - #### handle

          public void handle(Callback[] callbacks)
                      throws IOException,
                             UnsupportedCallbackException

      Specified by:
        `handle` in interface `CallbackHandler`
      Throws:
        `IOException`
        `UnsupportedCallbackException`

    - #### handleCallback

          protected boolean handleCallback(Callback callback)

    - #### getNonce

          public String getNonce()

    - #### getCreatedTime

          public String getCreatedTime()

Apache CXF